code WebGL sous firefox 59.0.1

Le
Frédéric Baldit
Bonjour,

je suis sous debian stretch et j'ai installé manuellement une
version de firefox (la 59.0.1) plus récente que celle proposée d=
ans
les dépôts (firefox-esr en version 52). Les deux cohabitent sans
problème, j'ai créé plusieurs profils avec le gestionnaire =
de profil
de firefox, ce qui me permet d'utiliser la version qui me convient
selon le besoin.

J'ai récemment voulu tester une page web qui intègre du code WebG=
L: ça
fonctionne sous firefox-esr mais sous la dernière version de firefox
j'ai l'erreur: «Sorry, an error occurred: Cannot create WebGL
context canvas»

Il s'agit de la page suivante:

http://math.hws.edu/graphicsbook/c3/s2.html

Je me demande si ça n'est pas lié à une subtilité/confi=
guration propre
à l'installation de debian, qui doit peut-être autoriser seulemen=
t le
navigateur firefox-esr à exécuter du code WebGL, mais je reste
incapable de faire fonctionner WebGL sous firefox en version 59.0.1

Si quelqu'un a une idée, grand merci d'avance!!!
--
Frédéric Baldit
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Alexandre Hoïde
Le #26468968
On Sat, Mar 24, 2018 at 12:25:45AM +0100, Frédéric Baldit wrote:
Bonjour,
Il s'agit de la page suivante:
http://math.hws.edu/graphicsbook/c3/s2.html
Je me demande si ça n'est pas lié à une subtilité/configuration propre
à l'installation de debian, qui doit peut-être autoriser seulement le
navigateur firefox-esr à exécuter du code WebGL, mais je reste
incapable de faire fonctionner WebGL sous firefox en version 59.0.1...
Si quelqu'un a une idée, grand merci d'avance!!!

Pas d'une grande aide mais chez moi : sous Sid, avec Firefox 59.0.1,
les deux inclusions webGL de ta page fonctionnent sans problème.
--
 ___________________
| $ post_tenebras ↲ | waouh!
| GNU         /    |    
|          -- * --  |     o
| $ who ↲    /     |_-- ~_|
| Alexandre Hoïde   |  _/| |
 -------------------
Daysfled
Le #26468971
Le 24/03/18 à 00:25, Frédéric Baldit a écrit :
Bonjour,
je suis sous debian stretch et j'ai installé manuellement une
version de firefox (la 59.0.1)

Pareil que toi si ce n'est que je n'ai pas défini de profil particulier.
J'ai récemment voulu tester une page web qui intègre du code WebGL: ça
fonctionne sous firefox-esr mais sous la dernière version de firefox
j'ai l'erreur: «Sorry, an error occurred: Cannot create WebGL
context canvas»

Je confirme que c'est la même chose chez moi.
Mais je ne sais pas quoi faire pour réparer cela.
--
Days Fled
Frédéric Baldit
Le #26469002
Merci à ceux qui ont pris le temps de poster leur réponse ou leur test.
Je précise que je tiens à ne pas installer firefox en version qua ntum
issue de sid, je préfère garder ma stretch sans aucun paquet de s id.
Si certains, ayant réussi à installer manuellement firefox en ver sion 59
arrivent à exécuter du WebGL je suis bien intéressé. Po ur le moment je
n'ai fait aucun progrès, mais j'ai posté sur une question sur le
support de mozilla.
Cdlt,
--
Frédéric Baldit
Le sam. 24 mars 2018 à 10:29:05 +0100
Daysfled
Le 24/03/18 à 00:25, Frédéric Baldit a écrit :
Bonjour,
je suis sous debian stretch et j'ai installé manuellement une
version de firefox (la 59.0.1)

Pareil que toi si ce n'est que je n'ai pas défini de profil
particulier.
J'ai récemment voulu tester une page web qui intègre du code WebGL:
ça fonctionne sous firefox-esr mais sous la dernière version de
firefox j'ai l'erreur: «Sorry, an error occurred: Cannot create
WebGL context canvas»

Je confirme que c'est la même chose chez moi.
Mais je ne sais pas quoi faire pour réparer cela.
Pierre L.
Le #26469133
This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--JXkMtAHZxjlFP6ArH0ZY8kSLf1F6xyLjD
Content-Type: multipart/mixed; boundary="nq8yndBEmjXNK4D2zytXnckvZymZzCkUu";
protected-headers="v1"
From: "Pierre L." To:
Message-ID: Subject: Re: code WebGL sous firefox 59.0.1
References: In-Reply-To: --nq8yndBEmjXNK4D2zytXnckvZymZzCkUu
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: fr
Le 24/03/2018 à 15:23, Frédéric Baldit a écrit :
Si certains, ayant réussi à installer manuellement firefox en version 59
arrivent à exécuter du WebGL je suis bien intéressé .

Bonjour,
Il suffit de télécharger le fichier compressé ici (choisis ta langue, et
ton système 32 ou 64bits):
https://www.mozilla.org/fr/firefox/all/
Tu décompresses le tout dans un dossier sur ton bureau par exemple, et
enfin tu pourras double cliquer sur le fichier "firefox" à l'inté rieur
pour le lancer.
Good luck ;)
--nq8yndBEmjXNK4D2zytXnckvZymZzCkUu--
--JXkMtAHZxjlFP6ArH0ZY8kSLf1F6xyLjD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"
-----BEGIN PGP SIGNATURE-----
iQJMBAEBCAA2FiEEqp6CU/crahjY2x3n6briFe8NSUUFAlq3nHEYHHBldHJ1c0Bt
aW9zd2ViLm1vb28uY29tAAoJEOm64hXvDUlF8fwQAKUDkQrmXuCi/6qhtEbAy908
5Dxm2lYFFw3uP7ajcxiyWf/2r+4fE18A9FiZQATnJm9sG+rMl0BalN4+uy6+gRwD
fz/yeXWvoT9pGT4yFBI252R96PqkCKaplJE1pMIh0tcvv0ywbOfFir9t5Bg6i9ov
rj6Att4CY3GRXk5tISsppm97zQnuni3zqPMpeEM5jLwQpMrbHXvKpAIPNan5WNvC
UZGFuak4Bj1GXl9TVB/yZzD4HjaTQteapO9mbumN+l9nXP52RftCWZfxd+wk2U2g
TBi7K0UnUuCjrsv3bFf0jEOtge5pMCYB0ygW7xHncx/89AK24dEk21ZdI0D4F5JG
F9aCCHwfOqYLh/PssWAFsduSmGhiTJQic4+orbD8h9sAO6JRSs1Cv4tzu+m197FO
UwXXnpTH/Qfa5tw5bvFZOQZkBGpL1HZNikKKXD7w1IJ6GDyB3DQSGpgloofwvUsS
igRoo1N9UtIK4iiyYaMK6JN/fGOtuO1zaRClr+jxxJRqJJO3jPlfkmY0w9z4CbKd
TLsrRcsh8qK6D/B91ZUh0KNMcx9o3JY2Sxavv73VYbMVn/fSpcxX+H9jVQMA9/gV
BdIcc7uxHM1UPCswbnSjHGEJGtGAR3s8/gUiyXDd7ZVhZgR3FgTBUpoVu3DA+sKL
nUjjRWAwuBSBeunB+BmB
=gKgK
-----END PGP SIGNATURE-----
--JXkMtAHZxjlFP6ArH0ZY8kSLf1F6xyLjD--
Publicité
Poster une réponse
Anonyme